# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'oneds/mrproper/version'

Gem::Specification.new do |spec|
  spec.name          = 'oneds-mrproper'
  spec.version       = Oneds::Mrproper::VERSION
  spec.authors       = ['Michal Kimle']
  spec.email         = ['kimle.michal@gmail.com']

  spec.summary       = 'Cleaning utility for OpenNebula datastores'
  spec.description   = 'Cleaning utility for OpenNebula datastores'
  spec.homepage      = 'https://github.com/Misenko/oneds-mrproper'
  spec.license       = 'Apache License, Version 2.0'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 11.2'
  spec.add_development_dependency 'rspec', '~> 3.5'
  spec.add_development_dependency 'rubocop', '~> 0.41.0'
  spec.add_development_dependency 'pry', '~> 0.10'

  spec.add_runtime_dependency 'thor', '~> 0.19'
  spec.add_runtime_dependency 'yell', '~> 2.0'
  spec.add_runtime_dependency 'activesupport', '~> 4.0'
  spec.add_runtime_dependency 'opennebula', '~> 5.2'
  spec.add_runtime_dependency 'nokogiri', '~> 1.6.8'

  spec.required_ruby_version = '>= 1.9.3'
end
